[% setvar title Getting started with Perl 6 %]

[% menu nav gettingstarted %]

<div id="subpage-header">
    [% include camelia %]
    <h2>[% readvar title %]</h2>

    <p>You are new to Perl 6? The other pages on this site offer too many
    options and confuse you? Then here is the right place to read on.</p>

    <p>Here you can find a selection that should be suitable for beginners.
    When you are a bit familiar with the language, come back to perl6.org and
    look at other resources too.</p>
</div>

<div id="col1">
    <h3>The Main Track</h3>
    <ul>
        <li><strong>Install a compiler</strong> - follow <a
            href="http://rakudo.org/how-to-get-rakudo">these instructions</a>
            to build and install Rakudo, a Perl 6 compiler based on <a
            href="http://parrot.org/">parrot</a>.</li>
        <li><strong>Read about Perl 6</strong> - grab the latest .pdf file
            from <a href="http://github.com/perl6/book/downloads">this book</a>
            to learn Perl 6.</li>
        <li><strong>Find available modules</strong> - the prototype installer
            <a href="http://proto.perl6.org/">proto has a list
            of existing Perl 6 modules</a>.</li>
        <li><strong>Write a program in Perl 6</strong></li>
        <li><strong>Write another program in Perl 6</strong></li>
        <li><a href="/getting-started/involved">Get involved!</a></li>
    </ul>
</div>

<div id="col2">
    <h3>The Side Track</h3>
    <p>Parallel to the main track you can read examples or talk to the
    community, and ask when you have questions or get stuck.</p>
    <ul>
        <li>Read <a href="http://github.com/perl6/perl6-examples">example Perl 6
            code</a></li>
        <li><a href="/community/">Where to find the community</a> for
            questions, suggestions and inspiration.</li>
        <li>Ask Perl 6 questions on <a
            href="http://www.perlmonks.org/node=SoPW">perlmonks</a></li>
        <li>Found a bug in Rakudo? Send a bug report to <a
            href="mailto:rakudobug@perl.org">rakudobug@perl.org</a></li>
        <li><a href="http://planetsix.perl.org/">Read the Perl 6
            blogs</a></li>
    </ul>
</div>
